Index: textproc/pdftohtml/Makefile
===================================================================
diff -u textproc/pdftohtml/Makefile.orig textproc/pdftohtml/Makefile
--- textproc/pdftohtml/Makefile.orig	Sun Jul 27 16:26:23 2003
+++ textproc/pdftohtml/Makefile	Sun Jul 27 16:27:14 2003
@@ -15,10 +15,24 @@
 MAINTAINER=	erwin@FreeBSD.org
 COMMENT=	A command-line tool for converting pdf-files into html

-RUN_DEPENDS=	${LOCALBASE}/bin/gs:${PORTSDIR}/print/ghostscript-gnu
+.if defined(WITH_GHOSTSCRIPT_AFPL) && ${WITH_GHOSTSCRIPT_AFPL} == yes
+GSPORT?=	print/ghostscript-afpl
+.else
+GSPORT?=	print/ghostscript-gnu
+.endif
+
+RUN_DEPENDS=	${LOCALBASE}/bin/gs:${PORTSDIR}/${GSPORT}

 WRKSRC=		${WRKDIR}/${DISTNAME}
 USE_REINPLACE=	yes
+
+pre-fetch:
+.if !defined(WITH_GHOSTSCRIPT_AFPL) || ${WITH_GHOSTSCRIPT_AFPL} != yes
+	@${ECHO} ""
+	@${ECHO} "      Define WITH_GHOSTSCRIPT_AFPL=yes to use"
+	@${ECHO} "      AFPL Postscript interpreter instead of GNU one"
+	@${ECHO} ""
+.endif

 pre-patch:
 .for file in goo/Makefile xpdf/Makefile
